> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a Legacy Request's response

GET https://{tenant_name}.benchling.com/api/v2/requests/{request_id}/response

Get a Legacy Request's response

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/legacy-requests/get-request-response

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `request_id` (string, required)

## Response

### 200

OK

- `results` (list of AssayResult, optional)
- `samples` (list of RequestResponseSamplesItems, optional) — Array of samples produced by the Legacy Request.

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### AssayResult

- `archiveRecord` (ArchiveRecord, optional, nullable) — ArchiveRecord Resource if the result is archived. This is null if the result is not archived.
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional) — UserSummary Resource of who created the request
- `entryId` (string, optional, nullable) — ID of the entry that this result is attached to
- `fieldValidation` (map from string to UserValidation, optional) — Object mapping field names to a UserValidation Resource object for that field. To **set** validation for a result, you *must* use this object.
- `fields` (map from string to Field, optional) — Field values for the returned result. Please note the keys of each field are the field's system name (additional_prop) instead of the field's display name (additionalProp).
- `id` (string, optional) — ID of the result
- `isReviewed` (boolean, optional) — Whether or not this result is attached to an accepted entry
- `modifiedAt` (datetime, optional) — DateTime at which the the result was last modified
- `projectId` (string, optional, nullable) — ID of the project to insert the result into
- `schema` (SchemaSummary, optional) — Schema that the result belongs to
- `v3Id` (string, optional) — V3 identifier for the result
- `validationComment` (string, optional)
- `validationStatus` (string, optional)

### RequestResponseSamplesItems

- `batch` (RequestResponseSamplesItemBatch, optional, nullable) — The sample, if it is a batch resource. Null otherwise.
- `entity` (RequestResponseSamplesItemEntity, optional, nullable) — The sample, if it is an entity resource. Null otherwise.
- `status` (enum, optional) — The status of the sample, based on the status of the stage run that generated it.
  - Allowed values: `COMPLETED`, `DISCARDED`

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserValidation

- `validationComment` (string, optional) — A string explaining the reason for the provided validation status.
- `validationStatus` (enum, optional) — Valid values for this enum depend on whether it is used to set a value (e.g., in a POST request), or is a return value for an existing result. Acceptable values for setting a status are 'VALID' or 'INVALID'. Possible return values are 'VALID', 'INVALID', or 'PARTIALLY_VALID' (a result will be partially valid if it has some valid fields and some invalid fields).
  - Allowed values: `VALID`, `INVALID`, `PARTIALLY_VALID`

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### RequestResponseSamplesItemBatch

### RequestResponseSamplesItemEntity

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### Batch

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional)
- `defaultConcentration` (Measurement, optional)
- `entity` (BatchEntity, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `schema` (SchemaSummary, optional, nullable)
- `webURL` (string, optional)

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

### Measurement

- `units` (string, required, nullable) — Can only be null if value is also null
- `value` (double, required, nullable) — Can only be null if units is also null

### BatchEntity

- `entityType`: `aa_sequence` (aa_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `custom_entity` (custom_entity)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `dna_sequence` (dna_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)

## Examples

**Response**

```json
{
  "results": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "entryId": "string",
      "fieldValidation": {},
      "fields": {
        "0": {
          "value": [
            "seq_jdf8BV24"
          ],
          "displayValue": "Amp",
          "isMulti": true,
          "textValue": "Amp",
          "type": "dna_sequence_link",
          "additional_prop": null
        }
      },
      "id": "string",
      "isReviewed": true,
      "modifiedAt": "2024-01-15T09:30:00Z",
      "projectId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "v3Id": "string",
      "validationComment": "string",
      "validationStatus": "string"
    }
  ],
  "samples": [
    {
      "batch": {
        "archiveRecord": {
          "reason": "Made in error"
        },
        "createdAt": "2024-01-15T09:30:00Z",
        "creator": {
          "handle": "string",
          "id": "string",
          "name": "string"
        },
        "defaultConcentration": {
          "units": "string",
          "value": 1.1
        },
        "entity": {
          "entityType": "dna_sequence",
          "id": "seq_ObbdtGhC",
          "type": "string"
        },
        "fields": {},
        "id": "bat_UOIr8IjL",
        "modifiedAt": "2024-01-15T09:30:00Z",
        "name": "string",
        "schema": {
          "id": "string",
          "name": "string"
        },
        "webURL": "string"
      },
      "entity": {
        "aliases": [
          "string"
        ],
        "annotations": [
          {
            "color": "#F58A5E",
            "customFields": [
              {
                "name": "string",
                "value": "string"
              }
            ],
            "end": 1,
            "name": "string",
            "notes": "Cong et al Science. 2013 Jan 3.",
            "start": 1,
            "strand": 1,
            "type": "string"
          }
        ],
        "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "authors": [
          {
            "handle": "string",
            "id": "string",
            "name": "string"
          }
        ],
        "bases": "string",
        "createdAt": "2024-01-15T09:30:00Z",
        "creator": {
          "handle": "string",
          "id": "string",
          "name": "string"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "dnaAlignmentIds": [
          "string"
        ],
        "entityRegistryId": "string",
        "entityType": "dna_sequence",
        "fields": {},
        "folderId": "string",
        "id": "string",
        "isCircular": true,
        "length": 1,
        "modifiedAt": "2024-01-15T09:30:00Z",
        "name": "string",
        "parts": [
          {
            "end": 1,
            "sequenceId": "seq_VfVOART1",
            "start": 1,
            "strand": 1
          }
        ],
        "primers": [
          {
            "bases": "string",
            "bindPosition": 1,
            "color": "string",
            "end": 1,
            "name": "string",
            "oligoId": "string",
            "overhangLength": 1,
            "start": 1,
            "strand": 1
          }
        ],
        "registrationOrigin": {
          "originEntryId": "string",
          "registeredAt": "2024-01-15T09:30:00Z"
        },
        "registryId": "string",
        "schema": {
          "id": "string",
          "name": "string"
        },
        "transcriptions": [
          {
            "end": 1,
            "sequenceId": "seq_VfVOART1",
            "start": 1,
            "strand": 1
          }
        ],
        "translations": [
          {
            "aminoAcids": "string",
            "coerceStartCodonToMethionine": false,
            "color": "#F58A5E",
            "customFields": [
              {
                "name": "string",
                "value": "string"
              }
            ],
            "end": 1,
            "geneticCode": "STANDARD",
            "name": "string",
            "notes": "Cong et al Science. 2013 Jan 3.",
            "regions": [
              {
                "end": 1,
                "start": 1
              }
            ],
            "start": 1,
            "strand": 1
          }
        ],
        "url": "string",
        "webURL": "string"
      },
      "status": "COMPLETED"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/requests/req_JekfeyVS/response"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/requests/req_JekfeyVS/response';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```